Download it now!
Bug 47865 - EDITING: Crash on Writer when a footnote is inserted
Summary: EDITING: Crash on Writer when a footnote is inserted
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:3.6.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-25 13:39 UTC by Julien Nabet
Modified: 2012-03-27 14:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
bt with symbols (8.16 KB, text/plain)
2012-03-25 13:45 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Nabet 2012-03-25 13:39:58 UTC
Problem description:
Crash on Writer when insert footnote. 

Steps to reproduce:
1. Open a brand new file on Writer
2. Menu Insert, footnote
3. Let default options and click OK button

Current behavior:
Crash

Expected behavior:
No crash

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Linux x86_64; rv:10.0.2) Gecko/20100101 Firefox/10.0.2 Iceweasel/10.0.2
Comment 1 Julien Nabet 2012-03-25 13:45:17 UTC
Created attachment 59034 [details]
bt with symbols

I think it could be linked to e94c4ab5523c7dcbee2f1b7fd47685529498e774 but I'm not sure.
Comment 2 Jean-Baptiste Faure 2012-03-26 04:20:26 UTC
Hi Julien,

I do not reproduce with master build on 2012-03-26 (LibreOffice 3.6.0alpha0+ 
Build ID: b9a0dfd-4d74905-6299bf6-879ce36-4c023a) on Ubuntu 11.10 x86_64.

Best regards. JBF
Comment 3 Julien Nabet 2012-03-26 15:07:25 UTC
(In reply to comment #2)
> I do not reproduce with master build on 2012-03-26 (LibreOffice 3.6.0alpha0+ 
> Build ID: b9a0dfd-4d74905-6299bf6-879ce36-4c023a) on Ubuntu 11.10 x86_64.
Hi Jean-Baptiste,

I updated master and recompile and still reproduced it :-(
I didn't take the bt, just some logs :

Objects involved in the operation:
iterator "lhs" @ 0x0x7ffffe3dc780 {
type = N11__gnu_debug14_Safe_iteratorINSt9__cxx199815_Deque_iteratorI10SwLineRectRS3_PS3_EENSt7__debug5dequeIS3_SaIS3_EEEEE (mutable iterator);
  state = past-the-end;
  references sequence with type `NSt7__debug5dequeI10SwLineRectSaIS1_EEE' @ 0x0x7ffffe3dc780
}
iterator "rhs" @ 0x0x23a2368 {
type = N11__gnu_debug14_Safe_iteratorINSt9__cxx199815_Deque_iteratorI10SwLineRectRS3_PS3_EENSt7__debug5dequeIS3_SaIS3_EEEEE (mutable iterator);
  state = singular;
  references sequence with type `NSt7__debug5dequeI10SwLineRectSaIS1_EEE' @ 0x0x23a2368
}
/usr/include/c++/4.6/debug/safe_iterator.h:477:error: attempt to compare a 
    past-the-end iterator to a singular iterator.

Objects involved in the operation:
iterator "lhs" @ 0x0x7ffffe3d8530 {
type = N11__gnu_debug14_Safe_iteratorINSt9__cxx199815_Deque_iteratorI10SwLineRectRS3_PS3_EENSt7__debug5dequeIS3_SaIS3_EEEEE (mutable iterator);
  state = past-the-end;
  references sequence with type `NSt7__debug5dequeI10SwLineRectSaIS1_EEE' @ 0x0x7ffffe3d8530
}
iterator "rhs" @ 0x0x26bc1e8 {
type = N11__gnu_debug14_Safe_iteratorINSt9__cxx199815_Deque_iteratorI10SwLineRectRS3_PS3_EENSt7__debug5dequeIS3_SaIS3_EEEEE (mutable iterator);
  state = singular;
  references sequence with type `NSt7__debug5dequeI10SwLineRectSaIS1_EEE' @ 0x0x26bc1e8
}


boost 1.48 (I use system boost)
gcc (Debian 4.6.3-1) 4.6.3
make 3.81
Linux kernel 3.2.0-2-amd64
Comment 4 Caolán McNamara 2012-03-27 14:32:42 UTC
yeah, dodgy conversion, nLastCount is invalidated on any push_back or push_front
Comment 6 Not Assigned 2012-03-27 14:41:00 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9cab649ccb3d827258e95a9b5c91d4b726564d89

Resolves: fdo#47865 insertions into deque invalidate nLastCount